diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lr-wpan/bindings/modulegen__gcc_LP64.py ns-3.31/src/lr-wpan/bindings/modulegen__gcc_LP64.py
--- ns-3.30.1/src/lr-wpan/bindings/modulegen__gcc_LP64.py	2019-08-12 17:00:27.000000000 -0700
+++ ns-3.31/src/lr-wpan/bindings/modulegen__gcc_LP64.py	2020-06-27 17:38:30.000000000 -0700
@@ -733,17 +832,18 @@
     register_Ns3SimpleRefCount__Ns3TraceSourceAccessor_Ns3Empty_Ns3DefaultDeleter__lt__ns3TraceSourceAccessor__gt___methods(root_module, root_module['ns3::SimpleRefCount< ns3::TraceSourceAccessor, ns3::empty, ns3::DefaultDeleter<ns3::TraceSourceAccessor> >'])
     register_Ns3SpectrumPhy_methods(root_module, root_module['ns3::SpectrumPhy'])
     register_Ns3SpectrumSignalParameters_methods(root_module, root_module['ns3::SpectrumSignalParameters'])
-    register_Ns3Time_methods(root_module, root_module['ns3::Time'])
     register_Ns3TraceSourceAccessor_methods(root_module, root_module['ns3::TraceSourceAccessor'])
     register_Ns3Trailer_methods(root_module, root_module['ns3::Trailer'])
     register_Ns3AttributeAccessor_methods(root_module, root_module['ns3::AttributeAccessor'])
     register_Ns3AttributeChecker_methods(root_module, root_module['ns3::AttributeChecker'])
     register_Ns3AttributeValue_methods(root_module, root_module['ns3::AttributeValue'])
+    register_Ns3BeaconPayloadHeader_methods(root_module, root_module['ns3::BeaconPayloadHeader'])
     register_Ns3BooleanChecker_methods(root_module, root_module['ns3::BooleanChecker'])
     register_Ns3BooleanValue_methods(root_module, root_module['ns3::BooleanValue'])
     register_Ns3CallbackChecker_methods(root_module, root_module['ns3::CallbackChecker'])
     register_Ns3CallbackImplBase_methods(root_module, root_module['ns3::CallbackImplBase'])
     register_Ns3CallbackValue_methods(root_module, root_module['ns3::CallbackValue'])
+    register_Ns3CommandPayloadHeader_methods(root_module, root_module['ns3::CommandPayloadHeader'])
     register_Ns3DoubleValue_methods(root_module, root_module['ns3::DoubleValue'])
     register_Ns3EmptyAttributeAccessor_methods(root_module, root_module['ns3::EmptyAttributeAccessor'])
     register_Ns3EmptyAttributeChecker_methods(root_module, root_module['ns3::EmptyAttributeChecker'])
@@ -792,11 +892,16 @@
     register_Ns3CallbackImpl__Void_Ns3LrWpanPhyEnumeration_Ns3LrWpanPhyEnumeration_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::LrWpanPhyEnumeration, ns3::LrWpanPhyEnumeration, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
     register_Ns3CallbackImpl__Void_Ns3McpsDataConfirmParams_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::McpsDataConfirmParams, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
     register_Ns3CallbackImpl__Void_Ns3McpsDataIndicationParams_Ns3Ptr__lt__ns3Packet__gt___Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::McpsDataIndicationParams, ns3::Ptr<ns3::Packet>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
+    register_Ns3CallbackImpl__Void_Ns3MlmeBeaconNotifyIndicationParams_Ns3Ptr__lt__ns3Packet__gt___Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::MlmeBeaconNotifyIndicationParams, ns3::Ptr<ns3::Packet>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
+    register_Ns3CallbackImpl__Void_Ns3MlmePollConfirmParams_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::MlmePollConfirmParams, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
+    register_Ns3CallbackImpl__Void_Ns3MlmeStartConfirmParams_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::MlmeStartConfirmParams, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
+    register_Ns3CallbackImpl__Void_Ns3MlmeSyncLossIndicationParams_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::MlmeSyncLossIndicationParams, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
     register_Ns3CallbackImpl__Void_Ns3Ptr__lt__const_ns3Packet__gt___Double_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::Ptr<const ns3::Packet>, double, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
     register_Ns3CallbackImpl__Void_Ns3Ptr__lt__const_ns3Packet__gt___Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::Ptr<const ns3::Packet>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
     register_Ns3CallbackImpl__Void_Ns3Ptr__lt__const_ns3Packet__gt___Unsigned_char_Unsigned_char_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::Ptr<const ns3::Packet>, unsigned char, unsigned char, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
     register_Ns3CallbackImpl__Void_Ns3Ptr__lt__ns3NetDevice__gt___Ns3Ptr__lt__const_ns3Packet__gt___Unsigned_short_Const_ns3Address___amp___Const_ns3Address___amp___Ns3NetDevicePacketType_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::Ptr<ns3::NetDevice>, ns3::Ptr<const ns3::Packet>, unsigned short, const ns3::Address &, const ns3::Address &, ns3::NetDevice::PacketType, ns3::empty, ns3::empty, ns3::empty >'])
     register_Ns3CallbackImpl__Void_Ns3Ptr__lt__ns3NetDevice__gt___Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::Ptr<ns3::NetDevice>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
+    register_Ns3CallbackImpl__Void_Ns3SuperframeStatus_Ns3SuperframeStatus_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::SuperframeStatus, ns3::SuperframeStatus, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
     register_Ns3CallbackImpl__Void_Ns3Time_Ns3LrWpanPhyEnumeration_Ns3LrWpanPhyEnumeration_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::Time, ns3::LrWpanPhyEnumeration, ns3::LrWpanPhyEnumeration, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
     register_Ns3CallbackImpl__Void_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, root_module['ns3::CallbackImpl< void, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >'])
     register_Ns3LrWpanNetDevice_methods(root_module, root_module['ns3::LrWpanNetDevice'])
@@ -1589,6 +1694,50 @@
                    'ns3::EventImpl *', 
                    [], 
                    is_const=True)
+    ## event-id.h (module 'core'): void ns3::EventId::Remove() [member function]
+    cls.add_method('Remove', 
+                   'void', 
+                   [])
+    return
+
+def register_Ns3GtsFields_methods(root_module, cls):
+    cls.add_output_stream_operator()
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::GtsFields::GtsFields(ns3::GtsFields const & arg0) [constructor]
+    cls.add_constructor([param('ns3::GtsFields const &', 'arg0')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::GtsFields::GtsFields() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::Buffer::Iterator ns3::GtsFields::Deserialize(ns3::Buffer::Iterator i) [member function]
+    cls.add_method('Deserialize', 
+                   'ns3::Buffer::Iterator', 
+                   [param('ns3::Buffer::Iterator', 'i')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint8_t ns3::GtsFields::GetGtsDirectionField() const [member function]
+    cls.add_method('GetGtsDirectionField', 
+                   'uint8_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint8_t ns3::GtsFields::GetGtsSpecField() const [member function]
+    cls.add_method('GetGtsSpecField', 
+                   'uint8_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint32_t ns3::GtsFields::GetSerializedSize() const [member function]
+    cls.add_method('GetSerializedSize', 
+                   'uint32_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::Buffer::Iterator ns3::GtsFields::Serialize(ns3::Buffer::Iterator i) const [member function]
+    cls.add_method('Serialize', 
+                   'ns3::Buffer::Iterator', 
+                   [param('ns3::Buffer::Iterator', 'i')], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::GtsFields::SetGtsDirectionField(uint8_t gtsDir) [member function]
+    cls.add_method('SetGtsDirectionField', 
+                   'void', 
+                   [param('uint8_t', 'gtsDir')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::GtsFields::SetGtsSpecField(uint8_t gtsSpec) [member function]
+    cls.add_method('SetGtsSpecField', 
+                   'void', 
+                   [param('uint8_t', 'gtsSpec')])
     return
 
 def register_Ns3Hasher_methods(root_module, cls):
@@ -1692,6 +1841,11 @@
     cls.add_method('IsEqual', 
                    'bool', 
                    [param('ns3::Ipv4Address const &', 'other')], 
+                   is_const=True, deprecated=True)
+    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
+    cls.add_method('IsInitialized', 
+                   'bool', 
+                   [], 
                    is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsLocalMulticast() const [member function]
     cls.add_method('IsLocalMulticast', 
@@ -1784,7 +1938,7 @@
     cls.add_method('IsEqual', 
                    'bool', 
                    [param('ns3::Ipv4Mask', 'other')], 
-                   is_const=True)
+                   is_const=True, deprecated=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -1816,10 +1970,11 @@
     cls.add_constructor([param('ns3::Ipv6Address const &', 'addr')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Address::Ipv6Address(ns3::Ipv6Address const * addr) [constructor]
     cls.add_constructor([param('ns3::Ipv6Address const *', 'addr')])
-    ## ipv6-address.h (module 'network'): ns3::Ipv6Address ns3::Ipv6Address::CombinePrefix(ns3::Ipv6Prefix const & prefix) [member function]
+    ## ipv6-address.h (module 'network'): ns3::Ipv6Address ns3::Ipv6Address::CombinePrefix(ns3::Ipv6Prefix const & prefix) const [member function]
     cls.add_method('CombinePrefix', 
                    'ns3::Ipv6Address', 
-                   [param('ns3::Ipv6Prefix const &', 'prefix')])
+                   [param('ns3::Ipv6Prefix const &', 'prefix')], 
+                   is_const=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::ConvertFrom(ns3::Address const & address) [member function]
     cls.add_method('ConvertFrom', 
                    'ns3::Ipv6Address', 
@@ -1875,11 +2030,11 @@
                    'ns3::Ipv6Address', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsAllHostsMulticast() const [member function]
-    cls.add_method('IsAllHostsMulticast', 
+    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::HasPrefix(ns3::Ipv6Prefix const & prefix) const [member function]
+    cls.add_method('HasPrefix', 
                    'bool', 
-                   [], 
-                   is_const=True, deprecated=True)
+                   [param('ns3::Ipv6Prefix const &', 'prefix')], 
+                   is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsAllNodesMulticast() const [member function]
     cls.add_method('IsAllNodesMulticast', 
                    'bool', 
@@ -1904,6 +2059,11 @@
     cls.add_method('IsEqual', 
                    'bool', 
                    [param('ns3::Ipv6Address const &', 'other')], 
+                   is_const=True, deprecated=True)
+    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
+    cls.add_method('IsInitialized', 
+                   'bool', 
+                   [], 
                    is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsIpv4MappedAddress() const [member function]
     cls.add_method('IsIpv4MappedAddress', 
@@ -1940,6 +2100,11 @@
                    'bool', 
                    [], 
                    is_const=True)
+    ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Address addr, ns3::Ipv6Address prefix) [member function]
+    cls.add_method('MakeAutoconfiguredAddress', 
+                   'ns3::Ipv6Address', 
+                   [param('ns3::Address', 'addr'), param('ns3::Ipv6Address', 'prefix')], 
+                   is_static=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Mac16Address addr, ns3::Ipv6Address prefix) [member function]
     cls.add_method('MakeAutoconfiguredAddress', 
                    'ns3::Ipv6Address', 
@@ -1960,6 +2125,11 @@
                    'ns3::Ipv6Address', 
                    [param('ns3::Mac8Address', 'addr'), param('ns3::Ipv6Address', 'prefix')], 
                    is_static=True)
+    ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredLinkLocalAddress(ns3::Address mac) [member function]
+    cls.add_method('MakeAutoconfiguredLinkLocalAddress', 
+                   'ns3::Ipv6Address', 
+                   [param('ns3::Address', 'mac')], 
+                   is_static=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredLinkLocalAddress(ns3::Mac16Address mac) [member function]
     cls.add_method('MakeAutoconfiguredLinkLocalAddress', 
                    'ns3::Ipv6Address', 
@@ -2020,6 +2190,10 @@
     cls.add_constructor([param('uint8_t *', 'prefix')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(char const * prefix) [constructor]
     cls.add_constructor([param('char const *', 'prefix')])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(uint8_t * prefix, uint8_t prefixLength) [constructor]
+    cls.add_constructor([param('uint8_t *', 'prefix'), param('uint8_t', 'prefixLength')])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(char const * prefix, uint8_t prefixLength) [constructor]
+    cls.add_constructor([param('char const *', 'prefix'), param('uint8_t', 'prefixLength')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(uint8_t prefix) [constructor]
     cls.add_constructor([param('uint8_t', 'prefix')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(ns3::Ipv6Prefix const & prefix) [constructor]
@@ -2036,6 +2210,11 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
+    ## ipv6-address.h (module 'network'): uint8_t ns3::Ipv6Prefix::GetMinimumPrefixLength() const [member function]
+    cls.add_method('GetMinimumPrefixLength', 
+                   'uint8_t', 
+                   [], 
+                   is_const=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Prefix ns3::Ipv6Prefix::GetOnes() [member function]
     cls.add_method('GetOnes', 
                    'ns3::Ipv6Prefix', 
@@ -2055,7 +2234,7 @@
     cls.add_method('IsEqual', 
                    'bool', 
                    [param('ns3::Ipv6Prefix const &', 'other')], 
-                   is_const=True)
+                   is_const=True, deprecated=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -2066,6 +2245,10 @@
                    'void', 
                    [param('std::ostream &', 'os')], 
                    is_const=True)
+    ## ipv6-address.h (module 'network'): void ns3::Ipv6Prefix::SetPrefixLength(uint8_t prefixLength) [member function]
+    cls.add_method('SetPrefixLength', 
+                   'void', 
+                   [param('uint8_t', 'prefixLength')])
     return
 
 def register_Ns3LrWpanEdPower_methods(root_module, cls):
@@ -2178,11 +2361,31 @@
                    'void', 
                    [param('uint8_t *', 'buffer')], 
                    is_const=True)
+    ## mac16-address.h (module 'network'): static ns3::Mac16Address ns3::Mac16Address::GetBroadcast() [member function]
+    cls.add_method('GetBroadcast', 
+                   'ns3::Mac16Address', 
+                   [], 
+                   is_static=True)
+    ## mac16-address.h (module 'network'): static ns3::Mac16Address ns3::Mac16Address::GetMulticast(ns3::Ipv6Address address) [member function]
+    cls.add_method('GetMulticast', 
+                   'ns3::Mac16Address', 
+                   [param('ns3::Ipv6Address', 'address')], 
+                   is_static=True)
+    ## mac16-address.h (module 'network'): bool ns3::Mac16Address::IsBroadcast() const [member function]
+    cls.add_method('IsBroadcast', 
+                   'bool', 
+                   [], 
+                   is_const=True)
     ## mac16-address.h (module 'network'): static bool ns3::Mac16Address::IsMatchingType(ns3::Address const & address) [member function]
     cls.add_method('IsMatchingType', 
                    'bool', 
                    [param('ns3::Address const &', 'address')], 
                    is_static=True)
+    ## mac16-address.h (module 'network'): bool ns3::Mac16Address::IsMulticast() const [member function]
+    cls.add_method('IsMulticast', 
+                   'bool', 
+                   [], 
+                   is_const=True)
     return
 
 def register_Ns3Mac48Address_methods(root_module, cls):
@@ -2395,6 +2598,97 @@
     cls.add_instance_attribute('m_txOptions', 'uint8_t', is_const=False)
     return
 
+def register_Ns3MlmeBeaconNotifyIndicationParams_methods(root_module, cls):
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeBeaconNotifyIndicationParams::MlmeBeaconNotifyIndicationParams() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeBeaconNotifyIndicationParams::MlmeBeaconNotifyIndicationParams(ns3::MlmeBeaconNotifyIndicationParams const & arg0) [constructor]
+    cls.add_constructor([param('ns3::MlmeBeaconNotifyIndicationParams const &', 'arg0')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeBeaconNotifyIndicationParams::m_bsn [variable]
+    cls.add_instance_attribute('m_bsn', 'uint8_t', is_const=False)
+    return
+
+def register_Ns3MlmePollConfirmParams_methods(root_module, cls):
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmePollConfirmParams::MlmePollConfirmParams() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmePollConfirmParams::MlmePollConfirmParams(ns3::MlmePollConfirmParams const & arg0) [constructor]
+    cls.add_constructor([param('ns3::MlmePollConfirmParams const &', 'arg0')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmePollConfirmParams::m_status [variable]
+    cls.add_instance_attribute('m_status', 'ns3::LrWpanMlmePollConfirmStatus', is_const=False)
+    return
+
+def register_Ns3MlmePollRequestParams_methods(root_module, cls):
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmePollRequestParams::MlmePollRequestParams(ns3::MlmePollRequestParams const & arg0) [constructor]
+    cls.add_constructor([param('ns3::MlmePollRequestParams const &', 'arg0')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmePollRequestParams::MlmePollRequestParams() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmePollRequestParams::m_coorAddrMode [variable]
+    cls.add_instance_attribute('m_coorAddrMode', 'ns3::LrWpanAddressMode', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmePollRequestParams::m_coorExtAddr [variable]
+    cls.add_instance_attribute('m_coorExtAddr', 'ns3::Mac64Address', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmePollRequestParams::m_coorPanId [variable]
+    cls.add_instance_attribute('m_coorPanId', 'uint16_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmePollRequestParams::m_coorShortAddr [variable]
+    cls.add_instance_attribute('m_coorShortAddr', 'ns3::Mac16Address', is_const=False)
+    return
+
+def register_Ns3MlmeStartConfirmParams_methods(root_module, cls):
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartConfirmParams::MlmeStartConfirmParams() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartConfirmParams::MlmeStartConfirmParams(ns3::MlmeStartConfirmParams const & arg0) [constructor]
+    cls.add_constructor([param('ns3::MlmeStartConfirmParams const &', 'arg0')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartConfirmParams::m_status [variable]
+    cls.add_instance_attribute('m_status', 'ns3::LrWpanMlmeStartConfirmStatus', is_const=False)
+    return
+
+def register_Ns3MlmeStartRequestParams_methods(root_module, cls):
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::MlmeStartRequestParams(ns3::MlmeStartRequestParams const & arg0) [constructor]
+    cls.add_constructor([param('ns3::MlmeStartRequestParams const &', 'arg0')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::MlmeStartRequestParams() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::m_PanId [variable]
+    cls.add_instance_attribute('m_PanId', 'uint16_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::m_battLifeExt [variable]
+    cls.add_instance_attribute('m_battLifeExt', 'bool', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::m_bcnOrd [variable]
+    cls.add_instance_attribute('m_bcnOrd', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::m_coorRealgn [variable]
+    cls.add_instance_attribute('m_coorRealgn', 'bool', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::m_logCh [variable]
+    cls.add_instance_attribute('m_logCh', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::m_logChPage [variable]
+    cls.add_instance_attribute('m_logChPage', 'uint32_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::m_panCoor [variable]
+    cls.add_instance_attribute('m_panCoor', 'bool', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::m_sfrmOrd [variable]
+    cls.add_instance_attribute('m_sfrmOrd', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeStartRequestParams::m_startTime [variable]
+    cls.add_instance_attribute('m_startTime', 'uint32_t', is_const=False)
+    return
+
+def register_Ns3MlmeSyncLossIndicationParams_methods(root_module, cls):
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeSyncLossIndicationParams::MlmeSyncLossIndicationParams() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeSyncLossIndicationParams::MlmeSyncLossIndicationParams(ns3::MlmeSyncLossIndicationParams const & arg0) [constructor]
+    cls.add_constructor([param('ns3::MlmeSyncLossIndicationParams const &', 'arg0')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeSyncLossIndicationParams::m_logCh [variable]
+    cls.add_instance_attribute('m_logCh', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeSyncLossIndicationParams::m_lossReason [variable]
+    cls.add_instance_attribute('m_lossReason', 'ns3::LrWpanSyncLossReason', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeSyncLossIndicationParams::m_panId [variable]
+    cls.add_instance_attribute('m_panId', 'uint16_t', is_const=False)
+    return
+
+def register_Ns3MlmeSyncRequestParams_methods(root_module, cls):
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeSyncRequestParams::MlmeSyncRequestParams(ns3::MlmeSyncRequestParams const & arg0) [constructor]
+    cls.add_constructor([param('ns3::MlmeSyncRequestParams const &', 'arg0')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeSyncRequestParams::MlmeSyncRequestParams() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeSyncRequestParams::m_logCh [variable]
+    cls.add_instance_attribute('m_logCh', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::MlmeSyncRequestParams::m_trackBcn [variable]
+    cls.add_instance_attribute('m_trackBcn', 'bool', is_const=False)
+    return
+
 def register_Ns3NetDeviceContainer_methods(root_module, cls):
     ## net-device-container.h (module 'network'): ns3::NetDeviceContainer::NetDeviceContainer(ns3::NetDeviceContainer const & arg0) [constructor]
     cls.add_constructor([param('ns3::NetDeviceContainer const &', 'arg0')])
@@ -2449,6 +2743,8 @@
     cls.add_constructor([param('ns3::Ptr< ns3::Node >', 'node')])
     ## node-container.h (module 'network'): ns3::NodeContainer::NodeContainer(std::string nodeName) [constructor]
     cls.add_constructor([param('std::string', 'nodeName')])
+    ## node-container.h (module 'network'): ns3::NodeContainer::NodeContainer(uint32_t n, uint32_t systemId=0) [constructor]
+    cls.add_constructor([param('uint32_t', 'n'), param('uint32_t', 'systemId', default_value='0')])
     ## node-container.h (module 'network'): ns3::NodeContainer::NodeContainer(ns3::NodeContainer const & a, ns3::NodeContainer const & b) [constructor]
     cls.add_constructor([param('ns3::NodeContainer const &', 'a'), param('ns3::NodeContainer const &', 'b')])
     ## node-container.h (module 'network'): ns3::NodeContainer::NodeContainer(ns3::NodeContainer const & a, ns3::NodeContainer const & b, ns3::NodeContainer const & c) [constructor]
@@ -2965,6 +3261,63 @@
                    is_virtual=True, is_pure_virtual=True)
     return
 
+def register_Ns3PendingAddrFields_methods(root_module, cls):
+    cls.add_output_stream_operator()
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::PendingAddrFields::PendingAddrFields(ns3::PendingAddrFields const & arg0) [constructor]
+    cls.add_constructor([param('ns3::PendingAddrFields const &', 'arg0')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::PendingAddrFields::PendingAddrFields() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::PendingAddrFields::AddAddress(ns3::Mac16Address shortAddr) [member function]
+    cls.add_method('AddAddress', 
+                   'void', 
+                   [param('ns3::Mac16Address', 'shortAddr')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::PendingAddrFields::AddAddress(ns3::Mac64Address extAddr) [member function]
+    cls.add_method('AddAddress', 
+                   'void', 
+                   [param('ns3::Mac64Address', 'extAddr')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::Buffer::Iterator ns3::PendingAddrFields::Deserialize(ns3::Buffer::Iterator i) [member function]
+    cls.add_method('Deserialize', 
+                   'ns3::Buffer::Iterator', 
+                   [param('ns3::Buffer::Iterator', 'i')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint8_t ns3::PendingAddrFields::GetNumExtAddr() const [member function]
+    cls.add_method('GetNumExtAddr', 
+                   'uint8_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint8_t ns3::PendingAddrFields::GetNumShortAddr() const [member function]
+    cls.add_method('GetNumShortAddr', 
+                   'uint8_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint8_t ns3::PendingAddrFields::GetPndAddrSpecField() const [member function]
+    cls.add_method('GetPndAddrSpecField', 
+                   'uint8_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): uint32_t ns3::PendingAddrFields::GetSerializedSize() const [member function]
+    cls.add_method('GetSerializedSize', 
+                   'uint32_t', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): bool ns3::PendingAddrFields::SearchAddress(ns3::Mac16Address shortAddr) [member function]
+    cls.add_method('SearchAddress', 
+                   'bool', 
+                   [param('ns3::Mac16Address', 'shortAddr')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): bool ns3::PendingAddrFields::SearchAddress(ns3::Mac64Address extAddr) [member function]
+    cls.add_method('SearchAddress', 
+                   'bool', 
+                   [param('ns3::Mac64Address', 'extAddr')])
+    ## lr-wpan-fields.h (module 'lr-wpan'): ns3::Buffer::Iterator ns3::PendingAddrFields::Serialize(ns3::Buffer::Iterator i) const [member function]
+    cls.add_method('Serialize', 
+                   'ns3::Buffer::Iterator', 
+                   [param('ns3::Buffer::Iterator', 'i')], 
+                   is_const=True)
+    ## lr-wpan-fields.h (module 'lr-wpan'): void ns3::PendingAddrFields::SetPndAddrSpecField(uint8_t pndAddrSpecField) [member function]
+    cls.add_method('SetPndAddrSpecField', 
+                   'void', 
+                   [param('uint8_t', 'pndAddrSpecField')])
+    return
+
 def register_Ns3SequenceNumber8_methods(root_module, cls):
     cls.add_binary_comparison_operator('!=')
     cls.add_binary_numeric_operator('+', root_module['ns3::SequenceNumber8'], root_module['ns3::SequenceNumber8'], param('ns3::SequenceNumber< unsigned char, signed char > const &', 'right'))
